Page MenuHomePhabricator

Category adaptation failure and JavaScript errors when translating Обама, Барак (ru->en)
Closed, ResolvedPublic

Description

First a request fails, possibly because the url is too long:

https://ru.wikipedia.org/w/api.php?callback=jQuery11130028904900195916072_1475569139362&action=query&format=json&titles=%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%90%D0%B4%D0%B2%D0%BE%D0%BA%D0%B0%D1%82%D1%8B+%D0%A1%D0%A8%D0%90%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%90%D0%B4%D0%B2%D0%BE%D0%BA%D0%B0%D1%82%D1%8B+%D0%BF%D0%BE+%D0%B0%D0%BB%D1%84%D0%B0%D0%B2%D0%B8%D1%82%D1%83%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%91%D0%B0%D1%80%D0%B0%D0%BA+%D0%9E%D0%B1%D0%B0%D0%BC%D0%B0%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%92%D1%8B%D0%BF%D1%83%D1%81%D0%BA%D0%BD%D0%B8%D0%BA%D0%B8+%D0%93%D0%B0%D1%80%D0%B2%D0%B0%D1%80%D0%B4%D1%81%D0%BA%D0%BE%D0%B3%D0%BE+%D1%83%D0%BD%D0%B8%D0%B2%D0%B5%D1%80%D1%81%D0%B8%D1%82%D0%B5%D1%82%D0%B0%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%92%D1%8B%D0%BF%D1%83%D1%81%D0%BA%D0%BD%D0%B8%D0%BA%D0%B8+%D0%9A%D0%BE%D0%BB%D1%83%D0%BC%D0%B1%D0%B8%D0%B9%D1%81%D0%BA%D0%BE%D0%B3%D0%BE+%D1%83%D0%BD%D0%B8%D0%B2%D0%B5%D1%80%D1%81%D0%B8%D1%82%D0%B5%D1%82%D0%B0%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%94%D0%B5%D0%B9%D1%81%D1%82%D0%B2%D1%83%D1%8E%D1%89%D0%B8%D0%B5+%D1%80%D1%83%D0%BA%D0%BE%D0%B2%D0%BE%D0%B4%D0%B8%D1%82%D0%B5%D0%BB%D0%B8+%D0%B3%D0%BE%D1%81%D1%83%D0%B4%D0%B0%D1%80%D1%81%D1%82%D0%B2%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9A%D0%B0%D0%B2%D0%B0%D0%BB%D0%B5%D1%80%D1%8B+%D0%BE%D1%80%D0%B4%D0%B5%D0%BD%D0%B0+%D0%A0%D0%B0%D0%B9%D0%B0%D0%BC%D0%B8%D1%82%D1%80%D0%B0%D0%B1%D0%BE%D1%80%D0%BD%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9A%D0%B0%D0%B2%D0%B0%D0%BB%D0%B5%D1%80%D1%8B+%D0%BE%D1%80%D0%B4%D0%B5%D0%BD%D0%B0+%D0%BA%D0%BE%D1%80%D0%BE%D0%BB%D1%8F+%D0%90%D0%B1%D0%B4%D0%B5%D0%BB%D1%8C-%D0%90%D0%B7%D0%B8%D0%B7%D0%B0%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9B%D0%B0%D1%83%D1%80%D0%B5%D0%B0%D1%82%D1%8B+%D0%9D%D0%BE%D0%B1%D0%B5%D0%BB%D0%B5%D0%B2%D1%81%D0%BA%D0%BE%D0%B9+%D0%BF%D1%80%D0%B5%D0%BC%D0%B8%D0%B8+%D0%BC%D0%B8%D1%80%D0%B0%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9B%D0%B0%D1%83%D1%80%D0%B5%D0%B0%D1%82%D1%8B+%D0%9D%D0%BE%D0%B1%D0%B5%D0%BB%D0%B5%D0%B2%D1%81%D0%BA%D0%BE%D0%B9+%D0%BF%D1%80%D0%B5%D0%BC%D0%B8%D0%B8+%D0%BF%D0%BE+%D0%B0%D0%BB%D1%84%D0%B0%D0%B2%D0%B8%D1%82%D1%83%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9B%D0%B0%D1%83%D1%80%D0%B5%D0%B0%D1%82%D1%8B+%D0%BF%D1%80%D0%B5%D0%BC%D0%B8%D0%B8+%C2%AB%D0%93%D1%80%D1%8D%D0%BC%D0%BC%D0%B8%C2%BB%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9C%D0%B5%D0%BC%D1%83%D0%B0%D1%80%D0%B8%D1%81%D1%82%D1%8B+%D0%A1%D0%A8%D0%90%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9F%D0%B5%D1%80%D1%81%D0%BE%D0%BD%D0%B0%D0%BB%D0%B8%D0%B8+%D0%BF%D0%BE+%D0%B0%D0%BB%D1%84%D0%B0%D0%B2%D0%B8%D1%82%D1%83%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9F%D1%80%D0%B5%D0%B7%D0%B8%D0%B4%D0%B5%D0%BD%D1%82%D1%8B%2C+%D0%B2%D1%81%D1%82%D1%83%D0%BF%D0%B8%D0%B2%D1%88%D0%B8%D0%B5+%D0%B2+%D0%B4%D0%BE%D0%BB%D0%B6%D0%BD%D0%BE%D1%81%D1%82%D1%8C+%D0%B2+2009+%D0%B3%D0%BE%D0%B4%D1%83%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9F%D1%80%D0%B5%D0%B7%D0%B8%D0%B4%D0%B5%D0%BD%D1%82%D1%8B+%D0%A1%D0%A8%D0%90%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9F%D1%83%D0%B1%D0%BB%D0%B8%D1%86%D0%B8%D1%81%D1%82%D1%8B+%D0%A1%D0%A8%D0%90%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%9F%D1%83%D0%B1%D0%BB%D0%B8%D1%86%D0%B8%D1%81%D1%82%D1%8B+%D0%BF%D0%BE+%D0%B0%D0%BB%D1%84%D0%B0%D0%B2%D0%B8%D1%82%D1%83%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%A0%D0%BE%D0%B4%D0%B8%D0%B2%D1%88%D0%B8%D0%B5%D1%81%D1%8F+4+%D0%B0%D0%B2%D0%B3%D1%83%D1%81%D1%82%D0%B0%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%A0%D0%BE%D0%B4%D0%B8%D0%B2%D1%88%D0%B8%D0%B5%D1%81%D1%8F+%D0%B2+1961+%D0%B3%D0%BE%D0%B4%D1%83%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%A0%D0%BE%D0%B4%D0%B8%D0%B2%D1%88%D0%B8%D0%B5%D1%81%D1%8F+%D0%B2+%D0%93%D0%BE%D0%BD%D0%BE%D0%BB%D1%83%D0%BB%D1%83%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%A1%D0%B5%D0%BD%D0%B0%D1%82%D0%BE%D1%80%D1%8B+%D0%BE%D1%82+%D1%88%D1%82%D0%B0%D1%82%D0%B0+%D0%98%D0%BB%D0%BB%D0%B8%D0%BD%D0%BE%D0%B9%D1%81%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%A1%D0%BF%D0%B5%D1%86%D0%B8%D0%B0%D0%BB%D0%B8%D1%81%D1%82%D1%8B+%D0%BF%D0%BE+%D0%BA%D0%BE%D0%BD%D1%81%D1%82%D0%B8%D1%82%D1%83%D1%86%D0%B8%D0%BE%D0%BD%D0%BD%D0%BE%D0%BC%D1%83+%D0%BF%D1%80%D0%B0%D0%B2%D1%83%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%A1%D1%82%D0%B0%D1%82%D1%8C%D0%B8+%D1%81+%D0%B0%D1%83%D0%B4%D0%B8%D0%BE%D0%B7%D0%B0%D0%BF%D0%B8%D1%81%D1%8C%D1%8E+%D0%BF%D1%80%D0%BE%D0%B8%D0%B7%D0%BD%D0%BE%D1%88%D0%B5%D0%BD%D0%B8%D1%8F%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%A7%D0%B5%D0%BB%D0%BE%D0%B2%D0%B5%D0%BA+%D0%B3%D0%BE%D0%B4%D0%B0+%D0%BF%D0%BE+%D0%B2%D0%B5%D1%80%D1%81%D0%B8%D0%B8+%D0%B6%D1%83%D1%80%D0%BD%D0%B0%D0%BB%D0%B0+%C2%ABTime%C2%BB%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%A7%D0%BB%D0%B5%D0%BD%D1%8B+%D0%94%D0%B5%D0%BC%D0%BE%D0%BA%D1%80%D0%B0%D1%82%D0%B8%D1%87%D0%B5%D1%81%D0%BA%D0%BE%D0%B9+%D0%BF%D0%B0%D1%80%D1%82%D0%B8%D0%B8+%D0%A1%D0%A8%D0%90+%D0%BE%D1%82+%D0%98%D0%BB%D0%BB%D0%B8%D0%BD%D0%BE%D0%B9%D1%81%D0%B0%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%AE%D1%80%D0%B8%D1%81%D1%82%D1%8B+%D0%A1%D0%A8%D0%90%7C%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F%3A%D0%AE%D1%80%D0%B8%D1%81%D1%82%D1%8B+%D0%BF%D0%BE+%D0%B0%D0%BB%D1%84%D0%B0%D0%B2%D0%B8%D1%82%D1%83&prop=langlinks&lllang=en&lllimit=100&redirects=true

Then after a while JavaScript error happens: Uncaught TypeError: Cannot read property 'cxCategory000' of null

Stacktrace:

load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:28 Uncaught TypeError: Cannot read property 'cxCategory000' of nullCXCategoryListing.addCategory @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:28CXCategoryListing.addCategories @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:27CXCategoryListing.init @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:23CXCategoryListing @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:22CXCategoryTool.initializeWidgets @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:31(anonymous function) @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:33fire @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:45add @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:45(anonymous function) @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:32fire @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:45fireWith @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:46deferred.(anonymous function) @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:47(anonymous function) @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:31fire @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:45fireWith @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:46deferred.(anonymous function) @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:47(anonymous function) @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:30fire @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:45fireWith @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:46deferred.(anonymous function) @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:47(anonymous function) @ VM4662:45fire @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:45fireWith @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:46done @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:135abort @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:132(anonymous function) @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:134setTimeout (async)ajax @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:134ajax @ VM4662:45get @ VM4662:44CXCategoryTool.adaptCategories @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:30(anonymous function) @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:31fire @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:45fireWith @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:46deferred.(anonymous function) @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:47(anonymous function) @ load.php?debug=false&lang=fi&modules=ext.cx.publish%2Ctranslation|ext.cx.tools.categories%2Cimages%…:29fire @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:45fireWith @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:46deferred.(anonymous function) @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:47(anonymous function) @ VM4662:46fire @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:45fireWith @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:46done @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:135script.onload.script.onreadystatechange @ load.php?debug=false&lang=fi&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=0si02yd:142

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterChange jQuery get() to post() in API langlinks query

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2016, 8:27 AM

Change 318915 had a related patch set uploaded (by Amire80):
Change jQuery get() to post() in API langlinks query

https://gerrit.wikimedia.org/r/318915

Amire80 claimed this task.Oct 31 2016, 1:13 PM
Amire80 triaged this task as High priority.
Amire80 added subscribers: Amire80, KartikMistry.

Moving tags from the duplicate, T149556.

I submitted a simple patch, which seems to correct it, although it might be naïve of me to think that this is the whole issue.

Change 318915 merged by jenkins-bot:
Change jQuery get() to post() in API langlinks query

https://gerrit.wikimedia.org/r/318915

Amire80 closed this task as Resolved.Nov 10 2016, 8:40 AM
Amire80 moved this task from QA to Done on the Language-Q2-2016-17 Sprint 2 board.

Tested in production. Resolved. Follow up: T150241.